Control user access.
Operations
verifyUser
POST
This operation Verifies a user with the system.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/usermanagement/verifyUserPOST /nexum/627/2022.01/usermanagement/verifyUser HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserToVerify": {
"UserNumber": 0,
"Password": "REPLACE_WITH_YOUR_PASSWORD"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}resetUserPassword
POST
This operation Resets a user's password.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
UserNumberintegerrequiredThe Symitar user number.Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
PasswordstringoptionalThe Symitar user password.Loading fields…
POST
/nexum/{sym}/2022.01/usermanagement/resetUserPasswordPOST /nexum/627/2022.01/usermanagement/resetUserPassword HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"nxAttributes": {
"customFields": {}
}
}setUserPassword
POST
This operation Sets the user's password.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
UserNumberintegeroptionalThe Symitar user number.PasswordstringoptionalThe Symitar user password.Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/usermanagement/setUserPasswordPOST /nexum/627/2022.01/usermanagement/setUserPassword HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"Password": "string",
"nxAttributes": {
"customFields": {}
}
}logon
POST
This operation Logs on a user to the system.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
StatusMessagestringoptionalAdditional message detailing the status.TokenIdstringoptionalThe ID from using the `logon` operation in the `UserManagementService`.Loading fields…
POST
/nexum/{sym}/2022.01/usermanagement/logonPOST /nexum/627/2022.01/usermanagement/logon HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}logoff
POST
This operation Logs off a user from the system.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
StatusMessagestringoptionalAdditional message detailing the status.Loading fields…
POST
/nexum/{sym}/2022.01/usermanagement/logoffPOST /nexum/627/2022.01/usermanagement/logoff HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"TokenCredentials": {
"TokenId": "REPLACE_WITH_YOUR_TOKENID"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}